Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Pomoc przy instalacji oraz użytkowaniu phpBB 3.2.x. Forum nie służy do zgłaszania znalezionych błędów, innowacji lub problemów związanych ze stylami i rozszerzeniami.
lalanablanalala
Posty: 29
Rejestracja: 04 kwietnia 2018, 21:19

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: lalanablanalala » 08 października 2019, 16:45

"Nie znaleziono prawidłowego katalogu aktualizacyjnego. Sprawdź, czy na serwer zostały wysłane właściwe pliki." Jednak kiedy zaznaczam Zaktualizuj bazę danych i przeprowadzam update operacja przechodzi pomyślnie tzn mam komunikaty:
Instalacja została zakończona pomyślnie.
Zaloguj się do Panelu Administratora
Aktualizacja bazy danych została zakończona.
To już ino tyle? Pliki też zostały zainstalowane? Czy sama baza ino uległa zmianie? Robiłem up z 3.2.5 na 3.2.8

Mam też Wersja witryny: 3.2.8 to chyba jest git :D Biorę się za włączanie modów :D

lalanablanalala
Posty: 29
Rejestracja: 04 kwietnia 2018, 21:19

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: lalanablanalala » 08 października 2019, 18:02

co ja widzę to już na nowym phpbb save jedynie przez phpmyadmin? :P

vader
Moderator
Posty: 1036
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: vader » 08 października 2019, 21:11

Jeśli nie edytowałeś plików i wgrywasz całą paczkę nowego phpBB lub tylko zmienione pliki, to jest aktualizowana wyłącznie baza danych.

adazipCerti
Posty: 4
Rejestracja: 11 stycznia 2017, 11:36

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: adazipCerti » 09 lutego 2020, 10:59

Odgrzeje kotleta,

po update z 3.2.0 do 3.2.9 wywala mi błąd na stronie głównej.

Kod: Zaznacz cały

Fatal error: Uncaught Error: Class 'Twig\Node\SpacelessNode' not found in /nowa/phpBB_3/vendor/twig/twig/src/TokenParser/SpacelessTokenParser.php:39 Stack trace: #0 /nowa/phpBB_3/vendor/twig/twig/src/Parser.php(209): Twig\TokenParser\SpacelessTokenParser->parse(Object(Twig\Token)) #1 /nowa/phpBB_3/vendor/twig/twig/src/TokenParser/IfTokenParser.php(41): Twig\Parser->subparse(Array) #2 /nowa/phpBB_3/vendor/twig/twig/src/Parser.php(209): Twig\TokenParser\IfTokenParser->parse(Object(Twig\Token)) #3 /nowa/phpBB_3/vendor/twig/twig/src/Parser.php(122): Twig\Parser->subparse(NULL, false) #4 /nowa/phpBB_3/vendor/twig/twig/src/Environment.php(735): Twig\Parser->parse(Object(Twig\TokenStream)) #5 /nowa/phpBB_3/vendor/twig/twig/src/Environment.php(793): Twig\Environment->parse(Object(Twig\TokenStream)) #6 /nowa/phpBB_3/vendor/twig/twig/src/Environment.php(482): Twig\Environment->compileSource(Object(Twig\Source)) #7 /nowa/phpBB_3/vendor/twig/twig/src/Environment.php(445): Twig\Environment->loadClass('__TwigTemplate_...', 'navbar_foot in /nowa/phpBB_3/vendor/twig/twig/src/TokenParser/SpacelessTokenParser.php on line 39
Jest to błąd na czystej instalacji 3.2.0
Robiłem wszystko zgodnie z instrukcją.
Borykam się z tym problem od wczoraj. W jednej aktualizacji wywaliło mi czystą białą stronę,
Obecnie mam dostęp do PA

vader
Moderator
Posty: 1036
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: vader » 09 lutego 2020, 23:02

Błąd wskazuje, że brakuje clasy w pliku w folderze vendor. Wrzuć go jeszcze raz i upewnij się, że pliki są wgrane poprawnie.

maras2626
Posty: 26
Rejestracja: 05 lutego 2017, 16:53

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: maras2626 » 17 lutego 2020, 19:40

Witam, wrzuciłem pliki zgodnie z instrukcją po aktualizacji bazy danych mam błąd: vendor/s9e/text-formatter/src/Plugins/BBCodes/Configurator/BBCode.php on line 98. Aktualizowałem z 3.2.8 do 3.3.0, obecnie poprosiłem hosting o przywrócenie plików i bazy danych, ale chciałbym to w przyszłości zaktualizować. Co mogło pójść nie tak?

vader
Moderator
Posty: 1036
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Jak zaktualizować phpBB 3.2.0 do phpBB 3.2.x

Post autor: vader » 18 lutego 2020, 21:38

Możesz spróbować wgrać jeszcze raz folder vender. Od tego bym zaczął. Ewentualnie problemem mogą być jakieś customewe BBCode.

ODPOWIEDZ